package com.energy.manage.service.service.dict;


import com.energy.manage.common.po.dict.DictConstantsPO;
import com.energy.manage.service.domain.vo.dict.DictParentVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author tongzw
 * @since 2022-07-04
 */
public interface DictConstantsService {

    void batchSave(List<DictConstantsPO> data);

    void batchUpdate(List<DictConstantsPO> data);

    List<DictConstantsPO> getDictListByType(int dictType);

    List<DictConstantsPO> getDictListAll();

    void refreshDictListAllCache();

    void initDictListAllCache();

    /**
     * 查询树结构字典 - 批次（权益）
     * @return
     */
    List<DictParentVo> getDictReachChain(Integer type);

    DictConstantsPO getByTypeAndValue(int i, Integer ruleId);

    Map<Integer, String>  getDictConstantsMap(Integer type);
}
